Mail archive
alpine-aports

[alpine-aports] [PATCH 3/5] testing/zathura-pdf-poppler: move from unmaintained, update

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Sun, 29 Jan 2017 16:57:29 +0100

---
 testing/zathura-pdf-poppler/APKBUILD      | 28 ++++++++++++++++++++++
 unmaintained/zathura-pdf-poppler/APKBUILD | 40 -------------------------------
 2 files changed, 28 insertions(+), 40 deletions(-)
 create mode 100644 testing/zathura-pdf-poppler/APKBUILD
 delete mode 100644 unmaintained/zathura-pdf-poppler/APKBUILD
diff --git a/testing/zathura-pdf-poppler/APKBUILD b/testing/zathura-pdf-poppler/APKBUILD
new file mode 100644
index 0000000000..7012d59f3f
--- /dev/null
+++ b/testing/zathura-pdf-poppler/APKBUILD
_at_@ -0,0 +1,28 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=zathura-pdf-poppler
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="zathura-pdf-poppler - poppler plugin adds PDF support to zathura"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="zathura"
+makedepends="zathura-dev poppler-dev"
+source="https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="fc242236dda05f4a75cb41b52356ccae  zathura-pdf-poppler-0.2.6.tar.gz"
+sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5  zathura-pdf-poppler-0.2.6.tar.gz"
+sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea  zathura-pdf-poppler-0.2.6.tar.gz"
diff --git a/unmaintained/zathura-pdf-poppler/APKBUILD b/unmaintained/zathura-pdf-poppler/APKBUILD
deleted file mode 100644
index 44741ec2bc..0000000000
--- a/unmaintained/zathura-pdf-poppler/APKBUILD
+++ /dev/null
_at_@ -1,40 +0,0 @@
-# Contributor: Andrew Hills <ahills_at_ednos.net>
-# Maintainer: Andrew Hills <ahills_at_ednos.net>
-pkgname=zathura-pdf-poppler
-pkgver=0.2.6
-pkgrel=0
-pkgdesc="PDF support for zathura via poppler"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="poppler-dev girara-dev zathura-dev gtk+3.0-dev"
-install=""
-subpackages=""
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="fc242236dda05f4a75cb41b52356ccae  zathura-pdf-poppler-0.2.6.tar.gz"
-sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5  zathura-pdf-poppler-0.2.6.tar.gz"
-sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea  zathura-pdf-poppler-0.2.6.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 29 2017 - 16:57:29 GMT